Bug 208017 - Improve message asking user to use CLI for Svn 1.7
Improve message asking user to use CLI for Svn 1.7
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Subversion
7.1
All All
: P3 (vote)
: 7.1.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
71patch1-verified
:
Depends on:
Blocks: 203752
  Show dependency treegraph
 
Reported: 2012-02-02 13:31 UTC by Antonin Nebuzelsky
Modified: 2013-12-18 06:36 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Dialog box in NetBeans 7.1 (23.31 KB, image/png)
2012-02-02 13:31 UTC, Antonin Nebuzelsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Nebuzelsky 2012-02-02 13:31:00 UTC
Created attachment 115452 [details]
Dialog box in NetBeans 7.1

The dialog box which pop-us the first time a user of NetBeans 7.1 touches a local checkout of Subversion version 1.7 is attached here. The text may be confusing to some users and is worth improving in 7.1.1.

Proposed improvement:

TITLE: Subversion Working Copy Format
(excluding the word "unsupported")

TEXT: Subversion working copy at "$PATH" is in version 1.7 format or newer and this format requires that the IDE switches from the default Svnkit client to CLI client. Click OK if you want the IDE to use the CLI Subversion client for repositories that use Subversion 1.7. You will be able to download and install the update for the Svnkit client supporting the new 1.7 format from the Update Center when it is available and restore it as the default.
Comment 1 Stepan Zebra 2012-02-02 14:27:37 UTC
(In reply to comment #0)
> Click OK if you want the IDE to use the CLI Subversion client for
> repositories that use Subversion 1.7.

This sounds to me like I'll be still using svnkit on 1.6 working copies after the switch... This may be very misleading.
Once I switch to 1.7 CLI client, it's used all the time then.
If I try to work with a project which is a 1.6 working copy, every action is going to fail with a message that working copy is out of date and needs to be upgraded.
Comment 2 Ondrej Vrabec 2012-02-02 14:30:29 UTC
I'll create a FAQ online that describes the issue in more detail and lists the possible risks the user might get into (among others the issue about old outdated working copies).
Comment 3 Ondrej Vrabec 2012-02-03 12:39:43 UTC
the FAQ page: http://wiki.netbeans.org/FaqSubversion1_7#Opening_a_1.7_Working_Copy
Review and edit it eventually.
Comment 4 AlyonaStashkova 2012-02-03 15:04:15 UTC
Proposing the following wording option: 

Subversion working copy at "$PATH" is in version 1.7 (or later) format which requires the IDE to be switched from the default Svnkit client to CLI client.

To use the CLI Subversion client for Subversion 1.7 repositories, click OK. 

See Subversion 1.7 FAQ (http://wiki.netbeans.org/FaqSubversion1_7) for more information.
Comment 5 Kenneth Ganfield 2012-02-03 15:10:42 UTC
So if I understand correctly, if the user clicks OK to use the CLI client, all local checkouts will need to be updated to 1.7?
Comment 6 Ondrej Vrabec 2012-02-03 15:44:47 UTC
(In reply to comment #5)
> So if I understand correctly, if the user clicks OK to use the CLI client, all
> local checkouts will need to be updated to 1.7?
True, all svn checkouts need to be upgraded to 1.7 format. Otherwise NetBeans will be unable to work with that chackout and will raise an error message.
Comment 7 Kenneth Ganfield 2012-02-06 15:47:47 UTC
So I would suggest the following text:

TITLE: Subversion Working Copy Format

TEXT: The Subversion working copy at "$PATH" is version 1.7 format (or later).  The IDE needs to set the CLI client as the default instead of the Svnkit client  to work with Subversion 1.7 repositories. When the new Svnkit client is available you can download the update from the Update Center and restore the Svnkit client as the default.

To set the CLI Subversion client as the default for all Subversion repositories, click OK.

See Subversion 1.7 FAQ (http://wiki.netbeans.org/FaqSubversion1_7) for more
information.
Comment 8 Ondrej Vrabec 2012-02-07 14:59:28 UTC
If there are no other comments, i will integrate Ken's proposal tomorrow.
Comment 9 Ondrej Vrabec 2012-02-08 10:30:53 UTC
fix: http://hg.netbeans.org/core-main/rev/f0137a12376d
Comment 10 Stepan Zebra 2012-02-08 13:04:18 UTC
verified in trunk
Comment 11 Ondrej Vrabec 2012-02-08 13:18:05 UTC
7.1.1 fix: http://hg.netbeans.org/releases/rev/0958ed09c9d7
Comment 12 Quality Engineering 2012-02-09 02:40:44 UTC
Integrated into 'releases', will be available in build *201202082200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/0958ed09c9d7
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #208017 - Improve message asking user to use CLI for Svn 1.7
#208017 - Improve message asking user to use CLI for Svn 1.7
(transplanted from f0137a12376dd39f8707c8bafca0b48fca5dda3e)
Comment 13 Antonin Nebuzelsky 2012-02-10 09:49:54 UTC
Looks very understandable to me now. The wiki content is also very useful.

Thanks!
Comment 14 Stepan Zebra 2012-02-13 09:06:53 UTC
verified in 7.1.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo